const std = @import("std");

const shell = @import("shell.zig");

pub const std_options: std.Options = .{ .log_level = .info };

pub fn main() !void {
    var gpa = std.heap.GeneralPurposeAllocator(.{}){};
    var arena = std.heap.ArenaAllocator.init(gpa.allocator());
    defer arena.deinit();

    var s = shell.Shell.init(arena.allocator());
    try s.run();
}

test {
    std.testing.refAllDecls(@This());
}
